import React from 'react';
import { RouteProps } from 'react-router-dom';
declare type PrivateRouteProps = RouteProps & {
    authRoute: string;
};
/**
 * Component that renders a conditional Route. If the user is not authenticated, this route
 * will redirect to the login route. If the user is authenticated, it will render the provided
 * content.
 *
 * @param authRoute The route to redirect to when the user is not authenticated
 *
 * @category Component
 */
export declare const PrivateRoute: React.FC<PrivateRouteProps>;
export {};
