import React from 'react';
import { DialogProps } from '@material-ui/core';
export declare type SimpleDialogProps = DialogProps & {
    title: string;
    body: string;
    onClose: () => void;
};
/**
 * Component that renders a simple dialog with a title, body description, and a close button.
 *
 * @param title text to show in the title
 * @param body text to show in the body
 * @param onClose function to call when the close button is clicked
 * @param props all other props will be spread to the underlying Dialog component
 *
 * @category Component
 */
export declare const SimpleDialog: React.FC<SimpleDialogProps>;
