"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordRequirementsCheck = void 0;
var react_1 = __importDefault(require("react"));
var core_1 = require("@material-ui/core");
var Check_1 = __importDefault(require("@material-ui/icons/Check"));
var useStyles = core_1.makeStyles(function (theme) {
    return core_1.createStyles({
        check: {
            marginRight: theme.spacing(1),
        },
        label: {
            fontWeight: 400,
            lineHeight: 1.2,
            opacity: function (props) { return (props.isChecked ? 0.5 : 1); },
        },
    });
});
/**
 * Component that renders an individual password complexity line item with check indicator.
 *
 * @param isChecked True if the line item should have a blue check (false for gray)
 * @param label text to display beside the check icon
 *
 * @category Component
 */
var PasswordRequirementsCheck = function (props) {
    var isChecked = props.isChecked, label = props.label;
    var classes = useStyles(props);
    return (react_1.default.createElement("div", { style: { display: 'flex', alignItems: 'center' } },
        react_1.default.createElement(Check_1.default, { color: isChecked ? 'primary' : 'disabled', className: classes.check }),
        react_1.default.createElement(core_1.Typography, { variant: 'subtitle2', className: classes.label }, label)));
};
exports.PasswordRequirementsCheck = PasswordRequirementsCheck;
