"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PreAuthContainer = void 0;
var react_1 = __importStar(require("react"));
var react_auth_shared_1 = require("@brightlayer-ui/react-auth-shared");
var RoutingContext_1 = require("../contexts/RoutingContext");
var react_router_dom_1 = require("react-router-dom");
var Login_1 = require("./Login");
var ResetPassword_1 = require("./ResetPassword");
var ContactSupport_1 = require("./ContactSupport");
var ForgotPassword_1 = require("./ForgotPassword");
var InviteRegistrationPager_1 = require("./InviteRegistrationPager");
var SelfRegistrationPager_1 = require("./SelfRegistrationPager");
/**
 * Container component that renders all of the screens for the
 * pre-authentication (Login, registration, forgot password, etc.)
 *
 * @category Component
 */
var PreAuthContainer = function () {
    var securityState = react_auth_shared_1.useSecurityState();
    var routes = RoutingContext_1.useRoutes().routes;
    var location = react_router_dom_1.useLocation();
    var _a = react_auth_shared_1.useInjectedUIContext(), _b = _a.enableResetPassword, enableResetPassword = _b === void 0 ? true : _b, _c = _a.showContactSupport, showContactSupport = _c === void 0 ? true : _c, _d = _a.enableInviteRegistration, enableInviteRegistration = _d === void 0 ? true : _d, _e = _a.showSelfRegistration, showSelfRegistration = _e === void 0 ? true : _e;
    var RedirectToLogin = react_1.useCallback(function () { return react_1.default.createElement(react_router_dom_1.Redirect, { to: routes.LOGIN }); }, [routes]);
    // If the user is authenticated, redirect back to wherever they came from (or the home page)
    if (securityState.isAuthenticatedUser) {
        // @ts-ignore
        var from = 
        // @ts-ignore
        (location && location.state && 'from' in location.state ? location.state : { from: { pathname: '/' } }).from;
        return react_1.default.createElement(react_router_dom_1.Redirect, { to: from });
    }
    return (react_1.default.createElement(react_router_dom_1.Switch, null,
        react_1.default.createElement(react_router_dom_1.Route, { exact: true, path: routes.LOGIN, component: Login_1.Login }),
        react_1.default.createElement(react_router_dom_1.Route, { exact: true, path: routes.FORGOT_PASSWORD, component: enableResetPassword ? ForgotPassword_1.ForgotPassword : RedirectToLogin }),
        react_1.default.createElement(react_router_dom_1.Route, { exact: true, path: routes.RESET_PASSWORD, component: enableResetPassword ? ResetPassword_1.ResetPassword : RedirectToLogin }),
        react_1.default.createElement(react_router_dom_1.Route, { exact: true, path: routes.REGISTER_INVITE, component: enableInviteRegistration ? InviteRegistrationPager_1.InviteRegistrationPager : RedirectToLogin }),
        react_1.default.createElement(react_router_dom_1.Route, { exact: true, path: routes.REGISTER_SELF, component: showSelfRegistration ? SelfRegistrationPager_1.SelfRegistrationPager : RedirectToLogin }),
        react_1.default.createElement(react_router_dom_1.Route, { exact: true, path: routes.SUPPORT, component: showContactSupport ? ContactSupport_1.ContactSupport : RedirectToLogin })));
};
exports.PreAuthContainer = PreAuthContainer;
